<?php

use App\Http\Controllers\Kasir\History;
use App\Http\Controllers\Kasir\Menu;
use App\Http\Controllers\Kasir\Transaksi;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', [Transaksi::class, 'index'])->name('transaksi.index');

Route::group(['prefix' => 'transaksi'], function () {
    Route::get('/', [Transaksi::class, 'index'])->name('transaksi.index');
    Route::post('/store', [Transaksi::class, 'store'])->name('transaksi.store');
    Route::get('/print/{id}', [Transaksi::class, 'print'])->name('transaksi.print');
    Route::get('/detail/{id}', [Transaksi::class, 'detail'])->name('transaksi.detail');
    Route::post('/cari-paket', [Transaksi::class, 'selectPaket'])->name('transaksi.cari-paket');
});

Route::group(['prefix' => 'history'], function () {
    Route::get('/', [History::class, 'index'])->name('history.index');
    Route::get('/getDataHistory', [History::class, 'getDataHistory'])->name('history.getDataHistory');
    Route::get('/print/{id}', [History::class, 'print'])->name('history.print');
});

Route::group(['prefix' => 'menu'], function () {
    Route::get('/', [Menu::class, 'index'])->name('menu.index');
    Route::get('/getDataMenu', [Menu::class, 'getDataMenu'])->name('menu.getDataMenu');
});
